import { MediaPackageV2ServiceException as __BaseException } from "./MediaPackageV2ServiceException";
export class AccessDeniedException extends __BaseException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
        this.Message = opts.Message;
    }
}
export const AdMarkerDash = {
    BINARY: "BINARY",
    XML: "XML",
};
export const AdMarkerHls = {
    DATERANGE: "DATERANGE",
};
export const ConflictExceptionType = {
    CONFLICTING_OPERATION: "CONFLICTING_OPERATION",
    IDEMPOTENT_PARAMETER_MISMATCH: "IDEMPOTENT_PARAMETER_MISMATCH",
    RESOURCE_ALREADY_EXISTS: "RESOURCE_ALREADY_EXISTS",
    RESOURCE_IN_USE: "RESOURCE_IN_USE",
};
export class ConflictException extends __BaseException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Message = opts.Message;
        this.ConflictExceptionType = opts.ConflictExceptionType;
    }
}
export class InternalServerException extends __BaseException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerException.prototype);
        this.Message = opts.Message;
    }
}
export class ThrottlingException extends __BaseException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.Message = opts.Message;
    }
}
export const ValidationExceptionType = {
    CENC_IV_INCOMPATIBLE: "CENC_IV_INCOMPATIBLE",
    CONTAINER_TYPE_IMMUTABLE: "CONTAINER_TYPE_IMMUTABLE",
    DIRECT_MODE_WITH_TIMING_SOURCE: "DIRECT_MODE_WITH_TIMING_SOURCE",
    DRM_SIGNALING_MISMATCH_SEGMENT_ENCRYPTION_STATUS: "DRM_SIGNALING_MISMATCH_SEGMENT_ENCRYPTION_STATUS",
    DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE: "DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE",
    ENCRYPTION_CONTRACT_SHARED: "ENCRYPTION_CONTRACT_SHARED",
    ENCRYPTION_CONTRACT_UNENCRYPTED: "ENCRYPTION_CONTRACT_UNENCRYPTED",
    ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE: "ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE",
    ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH: "ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH",
    END_TIME_EARLIER_THAN_START_TIME: "END_TIME_EARLIER_THAN_START_TIME",
    INVALID_MANIFEST_FILTER: "INVALID_MANIFEST_FILTER",
    INVALID_PAGINATION_MAX_RESULTS: "INVALID_PAGINATION_MAX_RESULTS",
    INVALID_PAGINATION_TOKEN: "INVALID_PAGINATION_TOKEN",
    INVALID_POLICY: "INVALID_POLICY",
    INVALID_ROLE_ARN: "INVALID_ROLE_ARN",
    INVALID_TIME_DELAY_SECONDS: "INVALID_TIME_DELAY_SECONDS",
    MANIFEST_DRM_SYSTEMS_INCOMPATIBLE: "MANIFEST_DRM_SYSTEMS_INCOMPATIBLE",
    MANIFEST_NAME_COLLISION: "MANIFEST_NAME_COLLISION",
    MEMBER_DOES_NOT_MATCH_PATTERN: "MEMBER_DOES_NOT_MATCH_PATTERN",
    MEMBER_INVALID: "MEMBER_INVALID",
    MEMBER_INVALID_ENUM_VALUE: "MEMBER_INVALID_ENUM_VALUE",
    MEMBER_MAX_LENGTH: "MEMBER_MAX_LENGTH",
    MEMBER_MAX_VALUE: "MEMBER_MAX_VALUE",
    MEMBER_MIN_LENGTH: "MEMBER_MIN_LENGTH",
    MEMBER_MIN_VALUE: "MEMBER_MIN_VALUE",
    MEMBER_MISSING: "MEMBER_MISSING",
    NONE_MODE_WITH_TIMING_SOURCE: "NONE_MODE_WITH_TIMING_SOURCE",
    NUM_MANIFESTS_HIGH: "NUM_MANIFESTS_HIGH",
    NUM_MANIFESTS_LOW: "NUM_MANIFESTS_LOW",
    ONLY_CMAF_INPUT_TYPE_ALLOW_FORCE_ENDPOINT_ERROR_CONFIGURATION: "ONLY_CMAF_INPUT_TYPE_ALLOW_FORCE_ENDPOINT_ERROR_CONFIGURATION",
    PERIOD_TRIGGERS_NONE_SPECIFIED_WITH_ADDITIONAL_VALUES: "PERIOD_TRIGGERS_NONE_SPECIFIED_WITH_ADDITIONAL_VALUES",
    ROLE_ARN_INVALID_FORMAT: "ROLE_ARN_INVALID_FORMAT",
    ROLE_ARN_LENGTH_OUT_OF_RANGE: "ROLE_ARN_LENGTH_OUT_OF_RANGE",
    ROLE_ARN_NOT_ASSUMABLE: "ROLE_ARN_NOT_ASSUMABLE",
    SOURCE_DISRUPTIONS_ENABLED_INCORRECTLY: "SOURCE_DISRUPTIONS_ENABLED_INCORRECTLY",
    TIMING_SOURCE_MISSING: "TIMING_SOURCE_MISSING",
    TS_CONTAINER_TYPE_WITH_DASH_MANIFEST: "TS_CONTAINER_TYPE_WITH_DASH_MANIFEST",
    UPDATE_PERIOD_SMALLER_THAN_SEGMENT_DURATION: "UPDATE_PERIOD_SMALLER_THAN_SEGMENT_DURATION",
    URL_INVALID: "URL_INVALID",
    URL_LINK_LOCAL_ADDRESS: "URL_LINK_LOCAL_ADDRESS",
    URL_LOCAL_ADDRESS: "URL_LOCAL_ADDRESS",
    URL_LOOPBACK_ADDRESS: "URL_LOOPBACK_ADDRESS",
    URL_MULTICAST_ADDRESS: "URL_MULTICAST_ADDRESS",
    URL_PORT: "URL_PORT",
    URL_SCHEME: "URL_SCHEME",
    URL_UNKNOWN_HOST: "URL_UNKNOWN_HOST",
    URL_USER_INFO: "URL_USER_INFO",
};
export class ValidationException extends __BaseException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.Message = opts.Message;
        this.ValidationExceptionType = opts.ValidationExceptionType;
    }
}
export const ResourceTypeNotFound = {
    CHANNEL: "CHANNEL",
    CHANNEL_GROUP: "CHANNEL_GROUP",
    ORIGIN_ENDPOINT: "ORIGIN_ENDPOINT",
};
export class ResourceNotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
        this.ResourceTypeNotFound = opts.ResourceTypeNotFound;
    }
}
export const InputType = {
    CMAF: "CMAF",
    HLS: "HLS",
};
export class ServiceQuotaExceededException extends __BaseException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.Message = opts.Message;
    }
}
export const ContainerType = {
    CMAF: "CMAF",
    TS: "TS",
};
export const DashDrmSignaling = {
    INDIVIDUAL: "INDIVIDUAL",
    REFERENCED: "REFERENCED",
};
export const DashPeriodTrigger = {
    AVAILS: "AVAILS",
    DRM_KEY_ROTATION: "DRM_KEY_ROTATION",
    NONE: "NONE",
    SOURCE_CHANGES: "SOURCE_CHANGES",
    SOURCE_DISRUPTIONS: "SOURCE_DISRUPTIONS",
};
export const DashSegmentTemplateFormat = {
    NUMBER_WITH_TIMELINE: "NUMBER_WITH_TIMELINE",
};
export const DashUtcTimingMode = {
    HTTP_HEAD: "HTTP_HEAD",
    HTTP_ISO: "HTTP_ISO",
    HTTP_XSDATE: "HTTP_XSDATE",
    UTC_DIRECT: "UTC_DIRECT",
};
export const EndpointErrorCondition = {
    INCOMPLETE_MANIFEST: "INCOMPLETE_MANIFEST",
    MISSING_DRM_KEY: "MISSING_DRM_KEY",
    SLATE_INPUT: "SLATE_INPUT",
    STALE_MANIFEST: "STALE_MANIFEST",
};
export const CmafEncryptionMethod = {
    CBCS: "CBCS",
    CENC: "CENC",
};
export const TsEncryptionMethod = {
    AES_128: "AES_128",
    SAMPLE_AES: "SAMPLE_AES",
};
export const DrmSystem = {
    CLEAR_KEY_AES_128: "CLEAR_KEY_AES_128",
    FAIRPLAY: "FAIRPLAY",
    IRDETO: "IRDETO",
    PLAYREADY: "PLAYREADY",
    WIDEVINE: "WIDEVINE",
};
export const PresetSpeke20Audio = {
    PRESET_AUDIO_1: "PRESET_AUDIO_1",
    PRESET_AUDIO_2: "PRESET_AUDIO_2",
    PRESET_AUDIO_3: "PRESET_AUDIO_3",
    SHARED: "SHARED",
    UNENCRYPTED: "UNENCRYPTED",
};
export const PresetSpeke20Video = {
    PRESET_VIDEO_1: "PRESET_VIDEO_1",
    PRESET_VIDEO_2: "PRESET_VIDEO_2",
    PRESET_VIDEO_3: "PRESET_VIDEO_3",
    PRESET_VIDEO_4: "PRESET_VIDEO_4",
    PRESET_VIDEO_5: "PRESET_VIDEO_5",
    PRESET_VIDEO_6: "PRESET_VIDEO_6",
    PRESET_VIDEO_7: "PRESET_VIDEO_7",
    PRESET_VIDEO_8: "PRESET_VIDEO_8",
    SHARED: "SHARED",
    UNENCRYPTED: "UNENCRYPTED",
};
export const ScteFilter = {
    BREAK: "BREAK",
    DISTRIBUTOR_ADVERTISEMENT: "DISTRIBUTOR_ADVERTISEMENT",
    DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY",
    DISTRIBUTOR_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_PLACEMENT_OPPORTUNITY",
    PROGRAM: "PROGRAM",
    PROVIDER_ADVERTISEMENT: "PROVIDER_ADVERTISEMENT",
    PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY: "PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY",
    PROVIDER_PLACEMENT_OPPORTUNITY: "PROVIDER_PLACEMENT_OPPORTUNITY",
    SPLICE_INSERT: "SPLICE_INSERT",
};
